<?php
/**
 * @package 	Yellow Schedule
 * @version 	v1.0.0
 * @author 		Yellow Schedule
 * @license 	http://www.gnu.org/licenses/gpl-3.0.html; see LICENSE.txt
 * @link		http://www.yellowschedule.com
 */

//No direct access
defined("_JEXEC") or die('Access Deny');

$ys_options_act = $params->get('ys_business_key');
$ys_options_day = $params->get('ys_num_days');
$ys_options_display = $params->get('ys_display_user');

$ys_user_option = "";
$ys_day_option = "";
if($ys_options_day != "") {
	$ys_day_option ='daysToDisplay: '.$ys_options_day.',';
}
if($ys_options_display != "") {
	$ys_user_option = 'showUsers: true';
} else {$ys_user_option = 'showUsers: false';}

if($ys_options_act != null) {  // THIS IS THE REAL BOOKING WIDGET - THIS ONLY SHOWS WHEN THE CUSTOMER HAS ENTERED THEIR BUSINESS CODE
?>
	<link href="https://www.yellowschedule.com/utils/widget/ys-style.css" rel="stylesheet" type="text/css"/> 
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
	<script src="https://www.yellowschedule.com/_javascript/dm.booking.min.js"></script>
	<script type="text/javascript">
	jQuery.noConflict();
	jQuery(document).ready(function() {	
		jQuery().jBookingAvailability("<?php echo($ys_options_act); ?>",
			{
				<?php echo($ys_day_option); ?>
				<?php echo($ys_user_option); ?>
			}
		);
	});
	</script>
	<div id="bookingAvailabilityContainer"><a href="https://www.yellowschedule.com">Online Appointment Scheduling</a> by YellowSchedule.com</div>
<?php
} else {   // Before the customer enters their business code they will see a "fake account" view. This is just to show how it the booking widget appears - It's not usable.
?>
	<h3>This is a demonstration only. Enter your Business Key in the settings page to see your personalised widget.</h3>
	<link href="https://www.yellowschedule.com/utils/widget/ys-style.css" rel="stylesheet" type="text/css"/> 
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
	<script src="https://www.yellowschedule.com/_javascript/dm.booking.min.js"></script>
	<script type="text/javascript">
	jQuery.noConflict();
	jQuery(document).ready(function() {	
		jQuery().jBookingAvailability(" ",
			{
				daysToDisplay: 5,
				fakeAccount: true
			}
		);
	});
	</script>
	<div id="bookingAvailabilityContainer"><a href="https://www.yellowschedule.com">Online Appointment Scheduling</a> by YellowSchedule.com</div>
<?php
}
?>